html {

	padding: 0;
	margin: 0;

}

body {

	padding: 0;
	margin: 0;
	background-color: #f2f2f2;
	font-family: Helvetica,sans-serif;

}

main {

	--header-height: 100px;

}

header {

	width: 100%;
	height: 120px;
	background-color: #fff;
	border-bottom: 1px solid #dadada;
	background-color: rgba(0,0,0,0.7);
	position: relative;

}

header:before {

	left: 0;
	top: 0;
	content: "";
	display: block;
	position: absolute;
	background-image: url("/img/square_bg.png");
	width: 100%;
	height: 100%;
	pointer-events: none;

}

header img {

	height: 90px;
	
}

nav img {

	display: block;
	max-height: 114px;
	padding-left: 10px;
}

header div.align {

	display: block;
	max-width: 1300px;
	width: 100%;
	height: 100%;
	margin: auto;

}

header table {

	width: 100%;
	height: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

header table td.icon {

	width: 120px;

}

header table td.title {
	
	position: relative;
	width: 90px;

}

header table td.link.active a{

	color: #363636;
	font-weight: bold;

}

header table td.title:after {

	content: "";
	display: none;
	right: 6px;
	top: 8px;
	height: calc(100% - 16px);
	width: 2px;
	background-color: #666;
	position: absolute;
	border-radius: 4px;

}

header table td.link {

	width: 110px;
	text-align: center;

}

header table td.link div.img {

	width: 80px;
	height: 80px;
	display: block;
	margin: auto;
	border: 1px solid #fff;
	border-radius: 100%;
	margin-bottom: 5px;

}

header table td.link div.img.basics {

	background-image: url('/img/dashie_model.png');
	background-size: 90%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;


}

header table td.link a {
	
	color: #999;
	font-family: Rubik,sans-serif;
	font-weight: 400;
	font-size: 17px;
	text-decoration: none;

}

header table td.link a:hover {

	cursor: pointer;
	color: #fff;

}

header table td.menu {

	display: none;

}

header table td.icon img {

	display: block;
	max-width: 70%;

}

header h1 {

	padding: 0;
	margin: 0;
	font-size: 20px;
	font-weight: 500;
	color: #222;

}

nav {

	width: 100%;
	height: 240px;
	position: relative;

}

nav.brickout {

	background-color: #7588ba;

}

nav.invaders {

	background-color: #2C6E77;

}

nav.astroids {

	background-color: #3A4D92;

}

nav {

	background-color: #78adad;

}

nav.hello {

	background-color: #78adad;

}

nav.info {

	background-color: #7a6e8a;

}

nav div.banner {

	width: 100%;
	max-width: 1300px;
	display: block;
	margin: auto;
	height: 100%;
	position: relative;

}

nav div.banner div.preview {

	position: absolute;
	top: 0;
	right: 0;
	width: calc(100% - 240px);
	height: 100%;
	display: none;

}

nav.brickout div.banner div.preview.brickout {

	display: block;

}

nav.invaders div.banner div.preview.invaders {

	display: block;

}

nav.astroids div.banner div.preview.astroids {

	display: block;

}

nav.hello div.banner div.preview.hello {

	display: block;

}

nav.info div.banner div.preview.info {

	display: block;

}

nav div.banner div.preview.info img.dgl-logo {

	position: absolute;
	left: 40px;
	top: 30px;
	height: 180px;

}

nav div.banner div.preview.hello div.triangle_00 {

	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0 100px 173.2px 100px;
	border-color: transparent transparent #007bff;
	left: 20px;
	top: 30px;
	z-index: 2;

}

nav div.banner div.preview.hello div.triangle_01 {

	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0 100px 173.2px 100px;
	border-color: transparent transparent #333;
	left: 22px;
	top: 32px;
	z-index: 1;

}

nav div.banner div.preview.hello div.square_00 {

	display: block;
	position: absolute;
	width: 170px;
	height: 170px;
	left: 250px;
	top: 30px;
	z-index: 2;
	background-color: #eba834;

}

nav div.banner div.preview.hello div.square_01 {

	display: block;
	position: absolute;
	width: 170px;
	height: 170px;
	left: 252px;
	top: 32px;
	z-index: 1;
	background-color: #333;

}

nav div.banner div.preview.hello div.circle_00 {

	display: block;
	position: absolute;
	width: 170px;
	height: 170px;
	left: 460px;
	top: 30px;
	z-index: 2;
	border-radius: 100%;
	background-color: #eb4334;

}

nav div.banner div.preview.hello div.circle_01 {

	display: block;
	position: absolute;
	width: 170px;
	height: 170px;
	left: 462px;
	top: 32px;
	border-radius: 100%;
	z-index: 1;
	background-color: #333;

}

nav div.banner div.preview.hello img.box  {

	display: block;
	position: absolute;
	width: 250px;
	height: auto;
	left: 640px;
	top: 30px;
	z-index: 2;

}

nav div.banner div.preview.hello img.model {

	display: block;
	position: absolute;
	width: 150px;
	left: 860px;
	top: 20px;
	z-index: 2;

}

nav div.banner div.preview.hello div.text {

	width: 100%;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	overflow: hidden;
	font-size: 19px;
	opacity: 0.5;
	color: #fff;
	pointer-events: none;
	font-family: monospace;
	white-space: pre;
	line-height: 44px;

}

nav div.banner div.preview.hello div.triangle_02 {

	display: block;
	position: absolute;
	width: 0;
	height: 0;
	border-style: solid;
	border-width: 0 40px 340px 30px;
	border-color: transparent transparent #06373c;
	left: 242px;
	top: -54px;
	z-index: 1;
	opacity: 0.6;
	transform: rotateZ(270deg);

}

nav div.banner div.preview.astroids div.big01{

	display: block;
	position: absolute;
	left: 420px;
	top: 40px;
	width: 110px;
	height: 110px;
	background-image: url(../img/redux/Meteors/meteorBrown_big1.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big02{

	display: block;
	position: absolute;
	left: 120px;
	top: 140px;
	width: 110px;
	height: 110px;
	background-image: url(../img/redux/Meteors/meteorBrown_big2.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big03 {

	display: block;
	position: absolute;
	left: 830px;
	top: 130px;
	width: 110px;
	height: 110px;
	background-image: url(../img/redux/Meteors/meteorBrown_big3.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big04 {

	display: block;
	position: absolute;
	left: 130px;
	top: 40px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med3.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big05 {

	display: block;
	position: absolute;
	left: 190px;
	top: 90px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med1.png);
	background-size: 100%;
	background-repeat: no-repeat;
	transform: rotateZ(40deg);

}

nav div.banner div.preview.astroids div.big06 {

	display: block;
	position: absolute;
	left: 370px;
	top: 130px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med3.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big07 {

	display: block;
	position: absolute;
	left: 580px;
	top: 72px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med1.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big08 {

	display: block;
	position: absolute;
	left: 820px;
	top: 40px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med3.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.big09 {

	display: block;
	position: absolute;
	left: 820px;
	top: 40px;
	width: 40px;
	height: 40px;
	background-image: url(../img/redux/Meteors/meteorBrown_med3.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small01 {

	display: block;
	position: absolute;
	left: 290px;
	top: 60px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small1.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small02 {

	display: block;
	position: absolute;
	left: 250px;
	top: 170px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small2.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small03 {

	display: block;
	position: absolute;
	left: 340px;
	top: 190px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small1.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small04 {

	display: block;
	position: absolute;
	left: 690px;
	top: 170px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small1.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small05 {

	display: block;
	position: absolute;
	left: 660px;
	top: 40px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small2.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small06 {

	display: block;
	position: absolute;
	left: 730px;
	top: 80px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small2.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.small07 {

	display: block;
	position: absolute;
	left: 890px;
	top: 95px;
	width: 20px;
	height: 20px;
	background-image: url(../img/redux/Meteors/meteorBrown_small2.png);
	background-size: 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.player {

	display: block;
	position: absolute;
	left: 590px;
	top: 160px;
	width: 60px;
	height: 60px;
	background-image: url('../img/redux/playerShip1_red.png');
	background-size: 100%;
	background-repeat: no-repeat;
	transform: rotateZ(-55deg);

}

nav div.banner div.preview.astroids div.player:before {

	content: "";
	display: block;
	width: 20px;
	height: 40px;
	background-image: url('../img/redux/Lasers/laserGreen13.png');
	position: absolute;
	bottom: 70px;
	left: 22px;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.player:after {

	content: "";
	display: block;
	width: 20px;
	height: 40px;
	background-image: url('../img/redux/Lasers/laserGreen13.png');
	position: absolute;
	bottom: 160px;
	left: 0px;
	background-repeat: no-repeat;

}

nav div.banner div.preview.astroids div.explode {

	content: "";
	display: block;
	background-image: url('../img/Explosion/explosion05.png');
	width: 65px;
	height: 65px;
	background-size: 100%;
	position: absolute;
	z-index: 10;
	opacity: 0.8;
	left: 420px;
	top: 80px;

}

nav div.banner div.preview.astroids div.smoke {

	content: "";
	display: block;
	background-image: url('../img/BlackSmoke/blackSmoke08.png');
	width: 70px;
	height: 70px;
	background-size: 100% 100%;
	opacity: 0.7;
	position: absolute;
	z-index: 2;
	left: 417px;
	top: 76px;
}

nav div.banner div.preview.brickout div.brick {

	position: absolute;
	width: 140px;
	height: 24px;
	background-size: 100% 100%;
	background-repeat: no-repeat;

}

nav div.banner div.preview.brickout div.brick.hide {

	display: none;

}

nav div.banner div.preview.brickout div.brick.red {

	background-image: url('../img/puzzle/element_red_rectangle.png');

}

nav div.banner div.preview.brickout div.brick.yellow {

	background-image: url('../img/puzzle/element_yellow_rectangle.png');

}

nav div.banner div.preview.brickout div.brick.blue {

	background-image: url('../img/puzzle/element_blue_rectangle.png');

}

nav div.banner div.preview.brickout div.brick.green {

	background-image: url('../img/puzzle/element_green_rectangle.png');

}

nav div.banner div.preview.brickout div.brick.purple {

	background-image: url('../img/puzzle/element_purple_rectangle.png');

}

nav div.banner div.preview.brickout div.paddle {

	position: absolute;
	bottom: 10px;
	left: 400px;
	width: 140px;
	height: 18px;
	background-image: url('../img/puzzle/paddleRed.png');
	background-size: 100% 100%;

}

nav div.banner div.preview.brickout div.ball {

	position: absolute;
	bottom: 80px;
	left: 340px;
	width: 40px;
	height: 40px;
	background-image: url('../img/puzzle/ballGrey.png');
	background-repeat: no-repeat;

}

nav div.banner div.preview.brickout div.ball div.speed {

	width: 60px;
	height: 1px;
	background-color: #5a5a5a;
	position: absolute;
	left: 20px;
	top: 20px;
	transform-origin: top left;
	transform: rotate(45deg);

}

nav div.banner div.preview.brickout div.ball div.speed.left {

	left: 17px;
	top: 24px;
	width: 62px;
	background-color:  #6a6a6a;
}

nav div.banner div.preview.brickout div.ball div.speed.right {

	left: 26px;
	top: 19px;
	width: 62px;
	background-color:  #6a6a6a;
}

nav div.banner div.preview.brickout div.brick.row0 {

	top: 10px;

}

nav div.banner div.preview.brickout div.brick.row1 {

	top: 40px;

}

nav div.banner div.preview.brickout div.brick.row2 {

	top: 70px;

}

nav div.banner div.preview.brickout div.brick.row3 {

	top: 100px;

}

nav div.banner div.preview.brickout div.brick.row4 {

	top: 130px;

}

nav div.banner div.preview.brickout div.brick.col0 {

	left: 40px;

}

nav div.banner div.preview.brickout div.brick.col1 {

	left: 200px;

}

nav div.banner div.preview.brickout div.brick.col2 {

	left: 360px;

}

nav div.banner div.preview.brickout div.brick.col3 {

	left: 520px;

}

nav div.banner div.preview.brickout div.brick.col4 {

	left: 680px;

}

nav div.banner div.preview.brickout div.brick.col5 {

	left: 840px;

}

nav div.banner div.preview.invaders div.sprite {

	position: absolute;
	width: 54px;
	height: 54px;
	background-repeat: no-repeat;
	background-size: 100%;

}

nav div.banner div.preview.invaders div.sprite.abs {


}

nav div.banner div.preview.invaders div.player {

	background-image: url('../img/redux/playerShip1_red.png');
	bottom: -10px;
	left: 520px;

}

nav div.banner div.preview.invaders div.player:before {

	content: "";
	display: block;
	width: 20px;
	height: 40px;
	background-image: url('../img/redux/Lasers/laserGreen13.png');
	position: absolute;
	bottom: 70px;
	left: 22px;
	background-repeat: no-repeat;

}

nav div.banner div.preview.invaders div.player:after {

	content: "";
	display: block;
	width: 20px;
	height: 40px;
	background-image: url('../img/redux/Lasers/laserGreen13.png');
	position: absolute;
	bottom: 160px;
	left: 0px;
	background-repeat: no-repeat;

}

nav div.banner div.preview.invaders div.bullet {

	display: block;
	width: 20px;
	height: 20px;
	background-image: url('../img/redux/Lasers/laserBlue10.png');
	position: absolute;
	background-repeat: no-repeat;

}

nav div.banner div.preview.invaders div.bullet.one {

	left: 325px;
	top: 190px;

}

nav div.banner div.preview.invaders div.bullet.two {

	left: 420px;
	top: 140px;

}

nav div.banner div.preview.invaders div.bullet.three {

	left: 143px;
	top: 175px;

}

nav div.banner div.preview.invaders div.bullet.four {

	left: 690px;
	top: 155px;

}

nav div.banner div.preview.invaders div.bullet.five {

	left: 775px;
	top: 90px;

}

nav div.banner div.preview.invaders div.bullet.six {

	left: 775px;
	top: 180px;

}

nav div.banner div.preview.invaders div.enemy01 {

	background-size: 90%;
	background-image: url('../img/alien/shipBlue_manned.png');

}

nav div.banner div.preview.invaders div.enemy02 {

	background-color: 90%;
	background-image: url('../img/alien/shipPink_manned.png');

}

nav div.banner div.preview.invaders div.enemy03 {

	background-size: 90%;
	background-image: url('../img/alien/shipYellow_manned.png');

}

nav div.banner div.preview.invaders div.enemy04 {

	background-image: url('../img/redux/Enemies/enemyGreen1.png');

}

nav div.banner div.preview.invaders div.enemy05 {

	background-image: url('../img/redux/Enemies/enemyRed4.png');

}

nav div.banner div.preview.invaders div.enemy06 {

	background-image: url('../img/redux/Enemies/enemyBlack5.png');

}

nav div.banner div.preview.invaders div.explode {

	content: "";
	display: block;
	background-image: url('../img/Explosion/explosion05.png');
	width: 50px;
	height: 50px;
	background-size: 100%;
	position: absolute;
	z-index: 10;
	opacity: 0.8;

}

nav div.banner div.preview.invaders div.smoke {

	content: "";
	display: block;
	background-image: url('../img/BlackSmoke/blackSmoke08.png');
	width: 55px;
	height: 55px;
	background-size: 100%;
	opacity: 0.7;
	position: absolute;
	z-index: 2;

}

nav div.banner div.preview.invaders div.hide {

	display: none;

}

nav div.banner div.preview.invaders div.row0 {

	top: 15px;

}

nav div.banner div.preview.invaders div.row1 {

	top: 70px;

}

nav div.banner div.preview.invaders div.row2 {

	top: 125px;

}

nav div.banner div.preview.invaders div.row1 {

	top: 70px;

}

nav div.banner div.preview.invaders div.col0 {

	left: 40px;

}

nav div.banner div.preview.invaders div.col1 {

	left: 130px;

}

nav div.banner div.preview.invaders div.col2 {

	left: 220px;

}

nav div.banner div.preview.invaders div.col3 {

	left: 310px;

}

nav div.banner div.preview.invaders div.col4 {

	left: 400px;

}

nav div.banner div.preview.invaders div.col5 {

	left: 490px;

}

nav div.banner div.preview.invaders div.col6 {

	left: 580px;

}

nav div.banner div.preview.invaders div.col7 {

	left: 670px;

}

nav div.banner div.preview.invaders div.col8 {

	left: 760px;

}

nav div.banner div.preview.invaders div.col9 {

	left: 850px;

}

div.mobile-nav {

	width: 100%;
	display: none;
	margin: auto;
	border-bottom: 1px solid #dadada;

}

div.mobile-nav h2 {

	margin: 0;
	color: #fff;
	font-weight: 400;
	text-indent: 54px;
	position: relative;
	font-size: 22px;
	line-height: 48px;
	height: 48px;
	/* height: 0; */
	overflow-y: hidden;
	overflow-x: hidden;
}

div.mobile-nav h2:hover {

	cursor: pointer;

}

div.mobile-nav.astroids {

	background-color: #3A4D92;

}

div.mobile-nav h2:before {

	content: "";
	display: block;
	width: 48px;
	height: 48px;
	top: 0px;
	left: 0px;
	position: absolute;
	background-image: url('../img/baseline_list_white_18dp.png');
	background-size: 36px 36px;
	background-repeat: no-repeat;
	background-position: center;

}

div.mobile-nav h2:after {

	content: "";
	display: block;
	width: 48px;
	height: 48px;
	top: 0px;
	right: 0px;
	position: absolute;
	background-image: url('../img/baseline_keyboard_arrow_down_white_18dp.png');
	background-size: 36px 36px;
	background-repeat: no-repeat;
	background-position: center;
	transform: rotateZ(0deg);
	transition: transform 200ms;
	
}

div.mobile-nav.open h2:after {

	transform: rotateZ(180deg);

}

div.mobile-nav.brickout {

	background-color: #7588ba;

}

div.mobile-nav.invaders {

	background-color: #2C6E77;

}

div.mobile-nav ul {

	padding: 0;
	margin: 0;
	display: none;
	padding-bottom: 10px;

}

div.mobile-nav.open ul {

	display: block;

}

div.mobile-nav li {

	list-style: none;
	width: 100%;
	display: block;
	margin: auto;
	height: 38px;
	line-height: 38px;
	text-indent: 38px;
	position: relative;
	transition: all .25s ease-in-out;
	color: rgba(255, 255, 255, 0.5);

}

div.mobile-nav li:hover {

	color: rgba(255, 255, 255, 0.8);
	cursor: pointer;

}

div.mobile-nav li.active {

	color: #fff !important;
	background-color: rgba(255, 255, 255, 0.2);

}

div.mobile-nav li:after {

	content: "";
	display: block;
	position: absolute;
	height: 22px;
	border-right: 2px solid #fff;
	left: -17px;
	top: -10px;
	opacity: 0.5;

}

div.mobile-nav li:first-child:after {

	display: none;

}

div.mobile-nav li:before {

	content: "";
	display: block;
	width: 12px;
	height: 12px;
	position: absolute;
	border: 2px solid #fff;
	border-radius: 100%;
	left: 14px;
	top: 12px;
	transition: all .25s ease-in-out;
	opacity: 0.5;

}

div.mobile-nav li:hover:before {

	/* background-color: rgba(65, 166, 196, 0.6); */

}

div.mobile-nav li.active:before {

	/* background-color: #41a6c4 !important; */

}

div.mobile-nav li.on:after,
div.mobile-nav li.on:before {

	opacity: 1;

}

nav div.banner img {

	display: block;
	position: absolute;
	left: 10px;
	bottom: 10px;
	height: calc(100% - 20px);

}

nav div.banner img.dashie {
	
	left: auto;
	right: 10px;

}

nav:after {
	
	content: "";
	display: block;
	margin: auto;
	position: absolute;
	left: 0;
	top: 0;
	background-image: url('../img/square_bg.png');
	width: 100%;
	height: 100%;

}

section {

	width: 100%;
	max-width: 1300px;
	display: block;
	margin: auto;
	min-height: 400px;
	padding: 20px 0;
	position: relative;

}

section menu {

	width: 220px;
	display: block;
	min-height: 400px;
	float: left;
	position: sticky;
	margin: 0 auto;
	padding: 0;
	border-radius: 10px;
	background-color: #fff;
	box-shadow: 0 1px 3px rgba(0,0,0,.25);
	overflow: hidden;

}

section article div.header,
section menu div.header {

	background-color: #222;
	color: #ddd;
	font-size: 11px;
	text-align: center;
	padding: 4px 0;

}

section article div.footer,
section menu div.footer {

	background-color: #222;
	height: 24px;
	margin-top: 20px;

}

section menu img {

	width: 80%;
	display: block;
	margin: 10px auto;

}

section menu li {

	list-style: none;
	width: calc(100% - 10px);
	display: block;
	margin: auto;
	border-radius: 4px;
	height: 38px;
	line-height: 38px;
	text-indent: 38px;
	position: relative;
	transition: all .25s ease-in-out;
	color: #999;

}

section menu a {

	text-decoration: none;
	color: #444;

}

section menu li:hover {

	color: #222;
	cursor: pointer;
	background-color: rgba(0,0,0,0.08);
	text-indent: 42px;

}

section menu li.active {

	color: #41a6c4 !important;
	font-weight: bold;
	text-indent: 38px !important;

}

section menu li:first-child:after {

	display: none;

}

section menu li:before {

	content: "";
	display: block;
	width: 15px;
	height: 15px;
	position: absolute;
	border: 3px solid #8a8a8a;
	border-radius: 100%;
	left: 5px;
	top: 8px;
	transition: all .25s ease-in-out;

}

section menu li:hover:before {

	background-color: rgba(65, 166, 196, 0.6);

}

section menu li.active:before {

	background-color: #41a6c4 !important;

}

section article {

	width: calc(100% - 250px);
	display: block;
	float: right;
	box-shadow: 0 1px 3px rgba(0,0,0,.25);
	border-radius: 8px;
	background-color: #fff;
	overflow: hidden;

}

section article div.header {

	width: 100%;

}

section article div.header table {

	width: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

section article div.header table tr td:nth-child(2) {

	width: 110px;
	text-align: right;

}

section article div.header table tr td:nth-child(3) {

	width: 130px;
	text-align: right;

}

section article div.header table h3 {

	padding: 0;
	margin: 0;
	font-size: 20px;
	font-weight: 400;

}

section div.line {

	clear: both;

}

footer {

	margin-top: 20px;
	border-top: 1px solid #dadada;
	background-color: #e2e2e2;
	padding-top: 20px;
	padding-bottom: 20px;

}

footer div.align {

	width: 100%;
	max-width: 1300px;
	margin: auto;
	align-items: flex-start;
	display: flex;
	flex-wrap: wrap;
	justify-content: center;

}

footer ul {
	
	width: 17%;
	padding: 0;
	display: block;
	margin: auto;
	box-sizing: border-box;
	min-width: 200px;
	height: 130px;

}

footer div.social {

	width: 40%;
	min-height: 50px;
	display: block;
	min-width: 500px;
	height: 130px;
	padding-right: 40px;

}

footer div.social table {

	width: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

footer div.social table div.icon {

	width: 60px;
	height: 40px;
	border: 1px solid #364e61;
	border-radius: 4px;
	display: block;
	margin: auto;
	transition: transform 200ms;
	position: relative;

}

footer div.social h5 {

	text-indent: 24px;
	padding-bottom: 0;

}

footer div.social table div.parent div.icon:hover {

	cursor: pointer;
	transform: scale(1.1, 1.1) rotateZ(-10deg);

}

footer div.social table div.icon.youtube {

	background-image: url('../img/youtube.svg');
	background-size: 84%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.parent {

	position: relative;
	width: 60px;
	height: 40px;
	display: block;
	margin: auto;

}

footer div.social table div.parent span {

	display: block;
	text-align: center;
	color: #fff;
	font-size: 12px;
  text-shadow:
    -1px -1px 0 #000,
     0   -1px 0 #000,
     1px -1px 0 #000,
     1px  0   0 #000,
     1px  1px 0 #000,
     0    1px 0 #000,
    -1px  1px 0 #000,
    -1px  0   0 #000;
	width: 100%;
	text-align: center;
	letter-spacing: 1px;
	position: absolute;
	left: 0;
	top: 0;
	transform: translateY(10px) scaleX(0.4);
	opacity: 0;
	transition: all 200ms;
	pointer-events: none;
	z-index: 10;

}

footer div.social table div.parent:hover span {

	transform: translateY(15px) scaleX(1.1);
	opacity: 1;

}

footer div.social table div.icon.twitter {

	background-image: url('../img/twitter.svg');
	background-size: 100%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.gitlab {

	background-image: url('../img/gitlab-logo-gray-rgb.png');
	background-size: 70%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.bitchute {

	background-image: url('../img/bit_chute.png');
	background-size: 68%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.liberapay {

	background-image: url('../img/liberapay.png');
	background-size: 68%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.minds {

	background-image: url('../img/minds_icon.png');

	background-size: 65%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;
	background-color: #364e61;
	width: 40px;

}

footer div.social table div.icon.mastodon {

	background-image: url('../img/mastodon_full.png');
	background-size: 56%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.bat {

	background-image: url('../img/brave_icon.png');
	background-size: 70%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;

}

footer div.social table div.icon.gab {

	background-image: url('../img/gabicon-300px-1color_orig.png');
	background-size: 80%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;
	background-color: #364e61;
	width: 40px;

}

footer div.social table div.icon.reddit {

	background-image: url('../img/reddit-512.png');
	background-size: 90%;
	background-position: center;
	background-repeat: no-repeat;
	border: none;
	background-color: #364e61;
	width: 40px;

}

footer div.social table tr:first-child td {

	padding-bottom: 5px;

}

footer h5 {

	font-size: 20px;
	font-weight: 400px;
	line-height: 1.5;
	padding: 0;
	margin: 0;
	padding-bottom: 12px;
	letter-spacing: 1px;
	color: #364e61;
	font-family: Rubik,sans-serif;

}

footer ul li {

	list-style: none;
	padding-bottom: 4px;
	font-family: Space Mono,Lucida Console,Monaco,monospace;
	font-size: 14px;
	color: #364e61;

}

footer ul li:hover {

	cursor: pointer;
	text-decoration: underline;

}

footer div.copyright {

	font-size: 13px;
	text-align: center;
	color: #6a6a6a;
	padding-top: 20px;
	color: #364e61;

}

section article div.content {

	padding: 20px;
	min-height: 900px;

}

section article div.content p {

	line-height: 25px;

}

section article div.content h3 {

	font-weight: 400;
	padding: 0;
	margin: 0;
	padding-top: 20px;

}

section table.summary h2 {

	padding: 0;
	margin: 0;
	padding-bottom: 10px;

}

section table.summary {

	width: 100%;
	table-layout: fixed;
	border-collapse: collapse;

}

section table.summary td.code {

	vertical-align: top;
	width: 180px;
	text-align: center;

}

section table.summary td.code div.icon {

	width: 50px;
	height: 50px;
	display: block;
	margin: auto;
	
	background-image: url("/img/gitlab.svg");
	background-size: 150%;
	background-position: center;
	background-repeat: no-repeat;
	position: relative;

}

section table.summary td.code div.icon:before {

	content: "";
	display: block;
	margin: auto;
	position: absolute;
	left: 0;
	top: 0;
	height: 100%;
	width: 100%;
	border-radius: 100%;
	background-color: rgba(0,0,0,0.1);
	transform: scale(0,0);
	transition: transform 200ms;

}

section table.summary td.code a{

	color: #222;
	text-decoration: none;

}

section table.summary td.code a:hover {

	cursor: pointer;

}

section table.summary td.code a:hover div.icon:before {

	transform: scale(1.1,1.1);

}

section table.summary li {

	list-style: none;

}

section video.fig,
section img.fig {

	max-width: 100%;
	display: block;
	margin: auto;
	border-radius: 5px;


}

section p span {

	padding: 2px;
	background-color: #efefef;
	border-radius: 4px;
	font-family: monospace;
	font-size: 1.1em;

}

section pre {

width: calc(100% - 10px);
border: 1px solid #ccc;
border-radius: 4px;
padding: 4px;
font-size: 13px;
line-height: 16px;
font-family: monospace;
background-color: rgba(0,0,0,0.04);
position: relative;
overflow-x: auto;
tab-size: 4;
-moz-tab-size: 4;
-o-tab-size: 4;

}

section pre:before {

content: attr(data-file);
position: absolute;
right: 4px;
top: 4px;
font-size: 12px;
color: #7a7a7a;
user-select: none;
cursor: default;

}
